<div>
    <h2 id="page-heading">
        <span>Case Step States</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-case-step-state" [routerLink]="['/case-step-state/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Case Step State
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="caseStepStates?.length === 0">
        <span>No caseStepStates found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="caseStepStates && caseStepStates.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>State</span></th>
                    <th scope="col" ><span>Step</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let caseStepState of caseStepStates ;trackBy: trackId">
                    <td><a [routerLink]="['/case-step-state', caseStepState.id, 'view']">{{ caseStepState.id }}</a></td>
                    <td>{{ caseStepState.name }}</td>
                    <td>{{ caseStepState.state }}</td>
                    <td>
                        <div *ngIf="caseStepState.step">
                            <a [routerLink]="['/case-step', caseStepState.step?.id, 'view']" >{{ caseStepState.step?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/case-step-state', caseStepState.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/case-step-state', caseStepState.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(caseStepState)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
